const { argv } = require('yargs').usage(
  'Usage: $0 [--port INTEGER [8080]] \
             [--baseurl STRING ["/"]] \
             [--redis STRING:INT [127.0.0.1:6379]] \
             [--headerBarUrl STRING] \
             [--logoUrl STRING] \
             [--faviconUrl STRING] \ '
)

exports.server = {
  port: argv.port || 8080,
  baseurl: argv.baseurl || '/'
}

const redis_conf = argv.redis || '127.0.0.1:6379'
exports.database = {
  sock: argv.sock || false,
  type: 'redis',
  prefix: '#memo#',
  host: redis_conf.split(':')[0] || '127.0.0.1',
  port: redis_conf.split(':')[1] || 6379
}

exports.headerBarUrl = argv.headerBarUrl || null
exports.logoUrl = argv.logoUrl || null
exports.faviconUrl = argv.faviconUrl || null
